Authenticate a user (deprecated)
curl --request POST \
--url https://manage.nervescloud.com/api/users/login \
--header 'Content-Type: application/json' \
--data '
{
"email": "jane@iot-company.com",
"note": "Local automation",
"password": "my-secure-password"
}
'import requests
url = "https://manage.nervescloud.com/api/users/login"
payload = {
"email": "jane@iot-company.com",
"note": "Local automation",
"password": "my-secure-password"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jane@iot-company.com',
note: 'Local automation',
password: 'my-secure-password'
})
};
fetch('https://manage.nervescloud.com/api/users/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"email": "jane@iot-company.com",
"id": 123,
"inserted_at": "2017-09-12T12:34:55Z",
"name": "Jane User",
"updated_at": "2017-09-13T10:11:12Z"
}
}{
"errors": {
"detail": "Resource Not Found or Authorization Insufficient"
}
}Auth
Authenticate a user (deprecated)
POST
/
api
/
users
/
login
Authenticate a user (deprecated)
Body
application/json
Authentication attributes
Response
User response
Response schema for single user
A registered user
Show child attributes
Show child attributes
Example:
{
"email": "jane@iot-company.com",
"id": 123,
"inserted_at": "2017-09-12T12:34:55Z",
"name": "Jane User",
"updated_at": "2017-09-13T10:11:12Z"
}

